Software requirements

Jevero requires rhino 5 or 6 and an internet connection to work properly.

To properly run jevero you will need:

  • A modern machine that can run Rhino
  • McNeel Rhinoceros 3D version 5 or 6
  • A valid license for the Jevero plugin
  • An internet connection to validate the license and download updates

Failing to renew the license will terminate the functionality of Jevero. A grace period exists, but the software will stop working a few days after the expiring date.

Can’t find your answer?

Contact us and we’ll get back to you
as soon as we can.

Drop us a line